import { confirmECOrdersApi, confirmOrderApi, getOrderDetailApi, getOrdersApi } from "../hwOrder";

/**
 * 获取我的订单列表
 * @param parma 
 */
export const getOrdersImpl = (parma: getOrdersDataType) => getOrdersApi(parma).then(res => {
	const data = (<responseOptionsType>res)
	return data
}).catch(err => {
	throw err
})

/**
 * 确认订单
 * @param parma 
 */
export const confirmOrderImpl = (parma: confirmOrderDatatype) => confirmOrderApi(parma).then(res => {
	const data = (<responseOptionsType>res)
	return data
})

/**
 * 确认电子合同订单
 * @param parma 
 */
export const confirmECOrdersImpl = (parma: confirmOrderDatatype) => confirmECOrdersApi(parma).then(res => {
	const data = (<responseOptionsType>res)
	return data
})
/**
 * 获取订单详情
 * @param parma 
 */
export const getOrderDetailImpl = (parma: getOrderDetailDataType) => getOrderDetailApi(parma).then(res => {
	const data = (<responseOptionsType>res)
	return data
})